class PcMedia extends React.Component
{
  render()
  {
    if (this.props.content==undefined || this.props.content=="") return null;

    var firstChar = this.props.content.substr(0,1);
    var fileExt = this.props.content.substr(this.props.content.length - 3).toLowerCase();
    var kind;

    if (firstChar=="#")
    {
      kind = "color";
    }
    else if (fileExt=="jpg" || fileExt=="png" || fileExt=="gif")
    {
      kind = "image";
    }
    else if (fileExt=="mp4" || fileExt=="mov")
    {
      kind = "video";
    }

    return e("div",
      {
        className:"pcmedia",
        onClick:this.props.onClick,
        style:{
          display:this.props.display,
          width:this.props.width,
          height:this.props.height,
          position:this.props.position,
          top:this.props.y,
          left:this.props.x,
          zIndex:this.props.zIndex,
        }
      },
      e('div',
        {
          style:
            {
              display: kind=="color" ? "block" : "none",
              backgroundColor:kind=="color" ? this.props.content : "",
              width:this.props.width,
              height:this.props.height
            }
        }
      ),
      e(PcImage,
        {
          file: kind=="image" ? this.props.content : "",
          display:kind=="image" ? true : false
        }
      ),
      e(PcVideo,
        {
          file: kind=="video" ? this.props.content : "",
          active:this.props.active,
          display:kind=="video" ? true : false
        }
      )
    );

    /*
    if (isColor)
    {
      return e("div",
        {
          className:"pcmedia",
          style:{
            width:this.props.width,
            height:this.props.height,
            backgroundColor:this.props.content
          }
        },
      );
    }
    else if (fileExt=="jpg" || fileExt=="png" || fileExt=="gif")
    {
      return e("div",
        {
          className:"pcmedia",
          style:{
            width:this.props.width,
            height:this.props.height,
          }
        },
        e(PcImage,
          {
            file:this.props.content
          }
        )
      );
    }
    else if (fileExt=="mp4")
    {
      return e("div",
        {
          className:"pcmedia",
          style:{
            width:this.props.width,
            height:this.props.height,
          }
        },
        e(PcVideo,
          {
            file:this.props.content,
            active:this.props.active
          }
        )
      );
    }
    */

  }

}
